> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Group

> Creates a new group within an organization.

`Unary` · [`Groups`](https://ona.com/docs/api-reference/generated/group/overview)

Creates a new group within an organization.

Use this method to:

* Create teams for access control
* Organize users by department or function
* Set up role-based access groups

### Examples

* Create a basic group:

  Creates a group with name and description.

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  name: "Backend Team"
  description: "Backend engineering team"
  ```

### Authorization

Requires `org:admin` role on the organization.

## Endpoint

```text theme={null}
POST /api/gitpod.v1.GroupService/CreateGroup
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.GroupService/CreateGroup" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "organizationId": "<organization-id>"
}'
```

```python Python theme={null}
import gitpod.v1.group_pb2 as group_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = group_pb2.CreateGroupRequest(
    organization_id="<organization-id>",
)
response = ona.services.group.create_group(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { CreateGroupRequestSchema } from "@gitpod/sdk/gitpod/v1/group_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(CreateGroupRequestSchema, {
    organizationId: "<organization-id>",
  });
  const response = await ona.services.group.createGroup(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.CreateGroupRequest{
		OrganizationId: "<organization-id>",
	})
	response, err := ona.Services.Group.CreateGroup(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "organizationId": "<organization-id>"
}
```

## Request

`gitpod.v1.CreateGroupRequest`

CreateGroup messages

| Field | Type | Required | Description |
| - | - | - | - |
| `organizationId` | string | No | Constraints: `string.uuid=true`. |
| `name` | string | No | Constraints: `string.max_len=80, string.min_len=3`. |
| `description` | string | No | Constraints: `string.max_len=255`. |

## Response

`gitpod.v1.CreateGroupResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `group` | [Group](#type-gitpod-v1-group) | No | |

## Related types

> [accordion] Group
>
> `gitpod.v1.Group`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `id` | string | No | Constraints: `string.uuid=true`. |
> | `organizationId` | string | No | Constraints: `string.uuid=true`. |
> | `name` | string | No | Constraints: `string.max_len=80, string.min_len=3`. |
> | `systemManaged` | boolean | No | system\_managed indicates that this group is created by the system automatically |
> | `createdAt` | RFC 3339 timestamp | No | |
> | `updatedAt` | RFC 3339 timestamp | No | |
> | `description` | string | No | Constraints: `string.max_len=255`. |
> | `memberCount` | integer | No | member\_count is the total number of members in this group |
> | `directShare` | boolean | No | direct\_share indicates that this group is used for direct user sharing on resources. These groups are hidden from regular group listings. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.